# Maintainer: Steven Seifried <gitlab@canox.net>
# Contributor: Steven Seifried <gitlab@canox.net>
_pkgname=tuxedo-keyboard
pkgname=$_pkgname-dkms
pkgver=3.2.14
pkgrel=1
pkgdesc="Keyboard Backlight Driver from TUXEDO Computers"
url="https://github.com/tuxedocomputers/tuxedo-keyboard"
license=("GPL3")
arch=('x86_64')
depends=('dkms')
optdepends=('linux-headers: build modules against Arch kernel'
            'linux-lts-headers: build modules against LTS kernel'
            'linux-zen-headers: build modules against ZEN kernel'
            'linux-hardened-headers: build modules against the HARDENED kernel')
provides=('tuxedo-keyboard' 'tuxedo-io')
conflicts=('tuxedo-cc-wmi')
replaces=('tuxedo-cc-wmi')
source=($pkgname-$pkgver-tar.gz::https://github.com/tuxedocomputers/tuxedo-keyboard/archive/v${pkgver}.tar.gz)
sha512sums=('6e4ce0ed06bc31803a243c78060646f01a7c1b9be49243bc6ff288a5218189c33bc3dc1228caa56efec39d6ff3e3250ae4587907909a9c045dae828bf6c5f637')

package() {
  mkdir -p "${pkgdir}/usr/src/${_pkgname}-${pkgver}"
  cp -r "${srcdir}/${_pkgname}-${pkgver}"/* "${pkgdir}/usr/src/${_pkgname}-${pkgver}"
  install -Dm644 "${srcdir}/${_pkgname}-${pkgver}"/tuxedo_keyboard.conf "${pkgdir}/usr/lib/modprobe.d/tuxedo_keyboard.conf"
}
